您的位置:首页 > 编程语言 > C语言/C++

codeforces 804A Find Amir

2017-05-06 23:46 1411 查看
A few years ago Sajjad left his school and register to another one due to security reasons. Now he wishes to find Amir, one of his schoolmates and good friends.

There are n schools numerated from 1 to n.
One can travel between each pair of them, to do so, he needs to buy a ticket. The ticker between schools i and j costs 

 and
can be used multiple times. Help Sajjad to find the minimum cost he needs to pay for tickets to visit all schools. He can start and finish in any school.

Input

The first line contains a single integer n (1 ≤ n ≤ 105) —
the number of schools.

Output

Print single integer: the minimum cost of tickets needed to visit all schools.

Examples

input
2


output
0


input
10


output
4


Note

In the first example we can buy a ticket between the schools that costs 

.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

贪心+思路~

可以发现和为modd时花费为0,所以我们尽可能的利用这一点。遵循1->n->n-1->2->……即可。

#include<cstdio>
#include<iostream>
using namespace std;

int n,ans;

int main()
{
scanf("%d",&n);
ans=n%2 ? n/2:n/2-1;
printf("%d\n",ans);
return 0;
}
内容来自用户分享和网络整理,不保证内容的准确性,如有侵权内容,可联系管理员处理 点击这里给我发消息
标签:  C++ 思路 贪心